3
\$\begingroup\$

I have an application that displays construction machines like excavators or snow groomers. The application is built on my company's custom engine, but I am trying to find out if I can port it to a game engine. I choose Godot because it seems it is more compact and compatible compared to some other popular engines.

The target hardware environment of the application is a relatively limited panel with an Intel atom chip Intel(R) Atom(TM) CPU E3827. The Intel documentation stats that it supports OpenGL 3.0 and GLES 2.0. We have our custom 32bit operating system based on yocto 2.6 as well.

I made a very compact project which runs quite well on my Ubuntu 22.04 system. Then I exported it using the 32 bit Linux template in Godot to make it a standalone application for my special panel environment.

When I try to run the binary on the panel hardware, I receive a couple of errors:

/usr/local/bin/NewExcaProject$ ./MCGodot.x86_32 
Godot Engine v4.2.2.rc1.official.c7fb0645a - https://godotengine.org
ERROR: X11 Display is not available
   at: DisplayServerX11 (platform/linuxbsd/x11/display_server_x11.cpp:5836)
Your video card drivers seem not to support the required OpenGL 3.3 version.

If possible, consider updating your video card drivers.

If you recently updated your video card drivers, try rebooting.
ERROR: Unable to create DisplayServer, all display drivers failed.
   at: setup2 (main/main.cpp:2394)

But in my project settings in Godot I have "Fallback to Gles" option enabled: Fallback setting checked

Why I am receiving that error, even though that option is enabled? How can I resolve this? Would it help me if I used an older version of Godot?

\$\endgroup\$
3
  • \$\begingroup\$ I mean, porting from a custom engine into godot doesn't seem that easy. Are you sure it actually works. \$\endgroup\$
    – Pow
    Feb 21 at 13:04
  • \$\begingroup\$ @Pow I'm not clear on what you're asking about. OP already seems to be asking does it actually work (where it is Godot 4's GLES 2 fallback support on Atom). What are you trying to clarify? \$\endgroup\$
    – Pikalek
    Feb 21 at 15:28
  • \$\begingroup\$ Purely just wondering if it could be an error with the conversion, but idrk tbh. \$\endgroup\$
    – Pow
    Feb 21 at 16:05

1 Answer 1

2
\$\begingroup\$

Based on this article from the Godot devs in 2021, you might be better off with Godot 3:

So, GLES2 support is effectively dead in Godot?

Not necessarily. It will be kept alive in two ways:

  • Godot 3.x will be maintained for a long time so, if you require GLES2 you can use this version.
  • Godot 4.x may support GLES2, but not necessarily out of the box. Some contributors want to work on it, so we may still add limited support for those who need it (may be switched off by default, though to save binary space). Keep in mind this will most likely be focused on 2D and may only support rather simple 3D.

At the time it was written, it sounds like either GLES2 wasn't well supported on mainline Godot 4 or if it was, it was a low priority. Additionally, your target hardware might not be something they have available for testing.

I'm not actively developing on any combination of GLES2, Godot 4 & Atom. It's possible that things have progressed since the above article was posted. But I wasn't able to find anything that superseded it and several searches eventually point back to that information.

I suggest installing Godot 3 and checking to see if you can successfully build and run one of the demo projects. You may still need to go into the settings to manually enable the GLES2 fallback. But as far as I can tell, that should work. Please note though that there are some documented differences between GLES2 & GLES3 on Godot 3.x. Some are by design, some are not.

\$\endgroup\$

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .